Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::VertexProgram::Extensions Class Reference

Extensions class which encapsulates the querying of extensions and associated function pointers, and provide convenience wrappers to check for the extensions or use the associated functions. More...

Inheritance diagram for osg::VertexProgram::Extensions:

[legend]
List of all members.

## Public Member Functions
| Extensions (unsigned int contextID)
| Extensions (const Extensions &rhs)
void | lowestCommonDenominator (const Extensions &rhs)
void | setupGLExtenions (unsigned int contextID)
void | setVertexProgramSupported (bool flag)
bool | isVertexProgramSupported () const
void | glBindProgram (GLenum target, GLuint id) const
void | glGenPrograms (GLsizei n, GLuint *programs) const
void | glDeletePrograms (GLsizei n, GLuint *programs) const
void | glProgramString (GLenum target, GLenum format, GLsizei len, const void *string) const
void | glProgramLocalParameter4fv (GLenum target, GLuint index, const GLfloat *params) const
## Protected Member Functions
| ~Extensions ()
## Protected Attributes
bool | _isVertexProgramSupported
void * | _glBindProgram
void * | _glGenPrograms
void * | _glDeletePrograms
void * | _glProgramString
void * | _glProgramLocalParameter4fv

## Detailed Description

Extensions class which encapsulates the querying of extensions and associated function pointers, and provide convenience wrappers to check for the extensions or use the associated functions.

## Constructor & Destructor Documentation

osg::VertexProgram::Extensions::Extensions | ( | unsigned int | contextID | ) |

osg::VertexProgram::Extensions::Extensions | ( | const Extensions & | rhs | ) |

osg::VertexProgram::Extensions::~Extensions | ( |  | ) | `[inline, protected]`

## Member Function Documentation

void osg::VertexProgram::Extensions::glBindProgram | ( | GLenum | target,
|  | GLuint | id
| ) | const

void osg::VertexProgram::Extensions::glDeletePrograms | ( | GLsizei | n,
|  | GLuint * | programs
| ) | const

void osg::VertexProgram::Extensions::glGenPrograms | ( | GLsizei | n,
|  | GLuint * | programs
| ) | const

void osg::VertexProgram::Extensions::glProgramLocalParameter4fv | ( | GLenum | target,
|  | GLuint | index,
|  | const GLfloat * | params
| ) | const

void osg::VertexProgram::Extensions::glProgramString | ( | GLenum | target,
|  | GLenum | format,
|  | GLsizei | len,
|  | const void * | string
| ) | const

bool osg::VertexProgram::Extensions::isVertexProgramSupported | ( |  | ) | const`[inline]`

void osg::VertexProgram::Extensions::lowestCommonDenominator | ( | const Extensions & | rhs | ) |

void osg::VertexProgram::Extensions::setupGLExtenions | ( | unsigned int | contextID | ) |

void osg::VertexProgram::Extensions::setVertexProgramSupported | ( | bool | flag | ) | `[inline]`

## Member Data Documentation

void* osg::VertexProgram::Extensions::_glBindProgram`[protected]`

void* osg::VertexProgram::Extensions::_glDeletePrograms`[protected]`

void* osg::VertexProgram::Extensions::_glGenPrograms`[protected]`

void* osg::VertexProgram::Extensions::_glProgramLocalParameter4fv`[protected]`

void* osg::VertexProgram::Extensions::_glProgramString`[protected]`

bool osg::VertexProgram::Extensions::_isVertexProgramSupported`[protected]`

The documentation for this class was generated from the following file:

- VertexProgram